/*
		Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "designerwidgetcollection.h"
#include "designerwidgetcollection.moc"

#include "designerpluginconfig.h"

#include "ewidgetdesignerplugin.h"
#include "edialogdesignerplugin.h"
#include "esettingswidgetdesignerplugin.h"

#include "epushbuttondesignerplugin.h"
#include "esearchbuttondesignerplugin.h"
#include "elistaddbuttondesignerplugin.h"
#include "elistremovebuttondesignerplugin.h"
#include "escaledimagedesignerplugin.h"

#include "etableviewdesignerplugin.h"

#include "eupdatenoticesettingsdesignerplugin.h"

#include "edbsettingswidgetdesignerplugin.h"

#ifdef WITH_CHARTS
	#include "echartlinedesignerplugin.h"
	#include "echartpiedesignerplugin.h"
#endif

#include <QtPlugin>

DesignerWidgetCollection::DesignerWidgetCollection(QObject* parent)
  : QObject(parent)
{
	widgets << new EWidgetDesignerPlugin(this);
	widgets << new EDialogDesignerPlugin(this);
	widgets << new ESettingsWidgetDesignerPlugin(this);

	widgets << new EPushButtonDesignerPlugin(this);
	widgets << new ESearchButtonDesignerPlugin(this);
	widgets << new EListAddButtonDesignerPlugin(this);
	widgets << new EListRemoveButtonDesignerPlugin(this);
	widgets << new EScaledImageDesignerPlugin(this);

	widgets << new ETableViewDesignerPlugin(this);
	
	widgets << new EUpdateNoticeSettingsDesignerPlugin(this);
	widgets << new EDBSettingsWidgetDesignerPlugin(this);

#ifdef WITH_CHARTS
	widgets << new EChartLineDesignerPlugin(this);
	widgets << new EChartPieDesignerPlugin(this);
#endif
}

QList<QDesignerCustomWidgetInterface*> DesignerWidgetCollection::customWidgets() const
{
	return widgets;
}

Q_EXPORT_PLUGIN2(libengsas_designerwidgetcollection, DesignerWidgetCollection)
