/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef DESIGNERWIDGETCOLLECTION_H
#define DESIGNERWIDGETCOLLECTION_H

#include <QObject>
#include <QDesignerCustomWidgetCollectionInterface>
#include <QList>

/**
  * @brief Provides a QtDesigner plugin, which contains all GUI-Elements of LibEngsas.
  * 
  * Make sure, that also LibEngsas is in your Path or in your Qt binary directory. Otherwise
  * QtDesigner cannot load this plugin. To install it properly, you can use the install_designer_plugin
  * target on Windows, e. g.:
  * @code
  * mingw32-make install_designer_plugin
  * @endcode
  * Also an corresponding uninstall target (uninstall_designer_plugin) is provided.
  */
class DesignerWidgetCollection : public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
	public:
		DesignerWidgetCollection(QObject *parent = 0);
		QList<QDesignerCustomWidgetInterface*> customWidgets() const;
		
	private:
		QList<QDesignerCustomWidgetInterface*> widgets;
};

#endif // DESIGNERWIDGETCOLLECTION_H