/*
		Copyright (C) 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/
#include "echartpiedesignerplugin.h"
#include "echartpiedesignerplugin.moc"

#include "echartpie.h"

EChartPieDesignerPlugin::EChartPieDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EChartPieDesignerPlugin::name() const
{
	return "EChartPie";
}

QString EChartPieDesignerPlugin::group() const
{
	return "Charts (EngSaS)";
}

QString EChartPieDesignerPlugin::toolTip() const
{
	return "EChartPie is a widget to draw pie charts";
}

QString EChartPieDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EChartPieDesignerPlugin::includeFile() const
{
	return "echartpie.h";
}

QIcon EChartPieDesignerPlugin::icon() const
{
	return QIcon();
}

bool EChartPieDesignerPlugin::isContainer() const
{
	return false;
}

QWidget* EChartPieDesignerPlugin::createWidget(QWidget* parent)
{
	return new EChartPie(parent);
}

QString EChartPieDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EChartPie\" name=\"eChartPie\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Preferred\" vsizetype=\"Preferred\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EChartPieDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EChartPieDesignerPlugin::isInitialized() const
{
	return initialized;
}
