/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "edbsettingswidgetdesignerplugin.h"
#include "edbsettingswidgetdesignerplugin.moc"

#include <edbsettingswidget.h>

EDBSettingsWidgetDesignerPlugin::EDBSettingsWidgetDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EDBSettingsWidgetDesignerPlugin::name() const
{
	return "EDBSettingsWidget";
}

QString EDBSettingsWidgetDesignerPlugin::group() const
{
	return "Settings (EngSaS)";
}

QString EDBSettingsWidgetDesignerPlugin::toolTip() const
{
	return "EDBSettingsWidget is a widget to configure a database connection.";
}

QString EDBSettingsWidgetDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EDBSettingsWidgetDesignerPlugin::includeFile() const
{
	return "edbsettingswidget.h";
}

QIcon EDBSettingsWidgetDesignerPlugin::icon() const
{
	return QIcon();
}

bool EDBSettingsWidgetDesignerPlugin::isContainer() const
{
	return true;
}

QWidget* EDBSettingsWidgetDesignerPlugin::createWidget(QWidget* parent)
{
	return new EDBSettingsWidget(parent);
}

QString EDBSettingsWidgetDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EDBSettingsWidget\" name=\"eDBSettingsWidget\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Expanding\" vsizetype=\"Expanding\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EDBSettingsWidgetDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EDBSettingsWidgetDesignerPlugin::isInitialized() const
{
	return initialized;
}
