/*
		Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "edialogdesignerplugin.h"
#include "edialogdesignerplugin.moc"

#include "edialog.h"

EDialogDesignerPlugin::EDialogDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EDialogDesignerPlugin::name() const
{
	return "EDialog";
}

QString EDialogDesignerPlugin::group() const
{
	return "Container (EngSaS)";
}

QString EDialogDesignerPlugin::toolTip() const
{
	return "EDialog subclasses QDialog and provides more extended functionalities.";
}

QString EDialogDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EDialogDesignerPlugin::includeFile() const
{
	return "edialog.h";
}

QIcon EDialogDesignerPlugin::icon() const
{
	return QIcon();
}

bool EDialogDesignerPlugin::isContainer() const
{
	return true;
}

QWidget* EDialogDesignerPlugin::createWidget(QWidget* parent)
{
	return new EDialog(parent);
}

QString EDialogDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EDialog\" name=\"eDialog\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Expanding\" vsizetype=\"Expanding\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EDialogDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EDialogDesignerPlugin::isInitialized() const
{
	return initialized;
}
