/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/
#include "elistremovebuttondesignerplugin.h"
#include "elistremovebuttondesignerplugin.moc"

#include "elistremovebutton.h"

EListRemoveButtonDesignerPlugin::EListRemoveButtonDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EListRemoveButtonDesignerPlugin::name() const
{
	return "EListRemoveButton";
}

QString EListRemoveButtonDesignerPlugin::group() const
{
	return "Elements (EngSaS)";
}

QString EListRemoveButtonDesignerPlugin::toolTip() const
{
	return "EListRemoveButton subclasses EPushButton and displays a minus icon by default";
}

QString EListRemoveButtonDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EListRemoveButtonDesignerPlugin::includeFile() const
{
	return "elistremovebutton.h";
}

QIcon EListRemoveButtonDesignerPlugin::icon() const
{
	return QIcon();
}

bool EListRemoveButtonDesignerPlugin::isContainer() const
{
	return false;
}

QWidget* EListRemoveButtonDesignerPlugin::createWidget(QWidget* parent)
{
	return new EListRemoveButton(parent);
}

QString EListRemoveButtonDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EListRemoveButton\" name=\"eListRemoveButton\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Preferred\" vsizetype=\"Preferred\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EListRemoveButtonDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EListRemoveButtonDesignerPlugin::isInitialized() const
{
	return initialized;
}
