/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "epushbuttondesignerplugin.h"
#include "epushbuttondesignerplugin.moc"

#include <epushbutton.h>

EPushButtonDesignerPlugin::EPushButtonDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EPushButtonDesignerPlugin::name() const
{
	return "EPushButton";
}

QString EPushButtonDesignerPlugin::group() const
{
	return "Elements (EngSaS)";
}

QString EPushButtonDesignerPlugin::toolTip() const
{
	return "A replacement of QPushButton, which handle QIcon::fromTheme via setIcon() and \"iconAndText\"-option";
}

QString EPushButtonDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EPushButtonDesignerPlugin::includeFile() const
{
	return "epushbutton.h";
}

QIcon EPushButtonDesignerPlugin::icon() const
{
	return QIcon();
}

bool EPushButtonDesignerPlugin::isContainer() const
{
	return false;
}

QWidget* EPushButtonDesignerPlugin::createWidget(QWidget* parent)
{
	return new EPushButton(parent);
}

QString EPushButtonDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EPushButton\" name=\"ePushButton\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Preferred\" vsizetype=\"Preferred\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EPushButtonDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EPushButtonDesignerPlugin::isInitialized() const
{
	return initialized;
}
