/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

     This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "escaledimagedesignerplugin.h"
#include "escaledimagedesignerplugin.moc"

#include <escaledimage.h>

EScaledImageDesignerPlugin::EScaledImageDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EScaledImageDesignerPlugin::name() const
{
	return "EScaledImage";
}

QString EScaledImageDesignerPlugin::group() const
{
	return "Elements (EngSaS)";
}

QString EScaledImageDesignerPlugin::toolTip() const
{
	return "EScaledImage subclasses QLAbel to display scaled and resizeable images.";
}

QString EScaledImageDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EScaledImageDesignerPlugin::includeFile() const
{
	return "escaledimage.h";
}

QIcon EScaledImageDesignerPlugin::icon() const
{
	return QIcon();
}

bool EScaledImageDesignerPlugin::isContainer() const
{
	return false;
}

QWidget* EScaledImageDesignerPlugin::createWidget(QWidget* parent)
{
	return new EScaledImage(parent);
}

QString EScaledImageDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EScaledImage\" name=\"eScaledImage\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Expanding\" vsizetype=\"Expanding\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EScaledImageDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EScaledImageDesignerPlugin::isInitialized() const
{
	return initialized;
}
