/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/
#include "esearchbuttondesignerplugin.h"
#include "esearchbuttondesignerplugin.moc"

#include "esearchbutton.h"

ESearchButtonDesignerPlugin::ESearchButtonDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString ESearchButtonDesignerPlugin::name() const
{
	return "ESearchButton";
}

QString ESearchButtonDesignerPlugin::group() const
{
	return "Elements (EngSaS)";
}

QString ESearchButtonDesignerPlugin::toolTip() const
{
	return "ESearchButton subclasses EPushButton and displays a binocular icon by default";
}

QString ESearchButtonDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString ESearchButtonDesignerPlugin::includeFile() const
{
	return "esearchbutton.h";
}

QIcon ESearchButtonDesignerPlugin::icon() const
{
	return QIcon();
}

bool ESearchButtonDesignerPlugin::isContainer() const
{
	return false;
}

QWidget* ESearchButtonDesignerPlugin::createWidget(QWidget* parent)
{
	return new ESearchButton(parent);
}

QString ESearchButtonDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"ESearchButton\" name=\"eSearchButton\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Preferred\" vsizetype=\"Preferred\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void ESearchButtonDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool ESearchButtonDesignerPlugin::isInitialized() const
{
	return initialized;
}
