/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "esettingswidgetdesignerplugin.h"
#include "esettingswidgetdesignerplugin.moc"

#include <esettingswidget.h>

ESettingsWidgetDesignerPlugin::ESettingsWidgetDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString ESettingsWidgetDesignerPlugin::name() const
{
	return "ESettingsWidget";
}

QString ESettingsWidgetDesignerPlugin::group() const
{
	return "Container (EngSaS)";
}

QString ESettingsWidgetDesignerPlugin::toolTip() const
{
	return "ESettingsWidget is the standard widget to show settings to the user.";
}

QString ESettingsWidgetDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString ESettingsWidgetDesignerPlugin::includeFile() const
{
	return "esettingswidget.h";
}

QIcon ESettingsWidgetDesignerPlugin::icon() const
{
	return QIcon();
}

bool ESettingsWidgetDesignerPlugin::isContainer() const
{
	return true;
}

QWidget* ESettingsWidgetDesignerPlugin::createWidget(QWidget* parent)
{
	return new ESettingsWidget(parent);
}

QString ESettingsWidgetDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"ESettingsWidget\" name=\"eSettingsWidget\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Expanding\" vsizetype=\"Expanding\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void ESettingsWidgetDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool ESettingsWidgetDesignerPlugin::isInitialized() const
{
	return initialized;
}
