/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "etableviewdesignerplugin.h"
#include "etableviewdesignerplugin.moc"

#include "etableview.h"

ETableViewDesignerPlugin::ETableViewDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString ETableViewDesignerPlugin::name() const
{
	return "ETableView";
}

QString ETableViewDesignerPlugin::group() const
{
	return "Views (EngSaS)";
}

QString ETableViewDesignerPlugin::toolTip() const
{
	return "ETableView subclasses QTableView and provides more extended functionalities"
				 " (like deleting delgates on model change and load setting of alternating row colors).";
}

QString ETableViewDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString ETableViewDesignerPlugin::includeFile() const
{
	return "etableview.h";
}

QIcon ETableViewDesignerPlugin::icon() const
{
	return QIcon();
}

bool ETableViewDesignerPlugin::isContainer() const
{
	return false;
}

QWidget* ETableViewDesignerPlugin::createWidget(QWidget* parent)
{
	return new ETableView(parent);
}

QString ETableViewDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"ETableView\" name=\"eTableView\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Expanding\" vsizetype=\"Expanding\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void ETableViewDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool ETableViewDesignerPlugin::isInitialized() const
{
	return initialized;
}
