/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/
#include "eupdatenoticesettingsdesignerplugin.h"
#include "eupdatenoticesettingsdesignerplugin.moc"

#include "eupdatenoticesettings.h"

EUpdateNoticeSettingsDesignerPlugin::EUpdateNoticeSettingsDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EUpdateNoticeSettingsDesignerPlugin::name() const
{
	return "EUpdateNoticeSettings";
}

QString EUpdateNoticeSettingsDesignerPlugin::group() const
{
	return "Settings (EngSaS)";
}

QString EUpdateNoticeSettingsDesignerPlugin::toolTip() const
{
	return "EUpdateNoticeSettings is the settings edit widget to configure the EUpdateNoticeDialog";
}

QString EUpdateNoticeSettingsDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EUpdateNoticeSettingsDesignerPlugin::includeFile() const
{
	return "eupdatenoticesettings.h";
}

QIcon EUpdateNoticeSettingsDesignerPlugin::icon() const
{
	return QIcon();
}

bool EUpdateNoticeSettingsDesignerPlugin::isContainer() const
{
	return false;
}

QWidget* EUpdateNoticeSettingsDesignerPlugin::createWidget(QWidget* parent)
{
	return new EUpdateNoticeSettings(parent);
}

QString EUpdateNoticeSettingsDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EUpdateNoticeSettings\" name=\"eUpdateNoticeSettings\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Preferred\" vsizetype=\"Preferred\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EUpdateNoticeSettingsDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EUpdateNoticeSettingsDesignerPlugin::isInitialized() const
{
	return initialized;
}
