/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "ewidgetdesignerplugin.h"
#include "ewidgetdesignerplugin.moc"

#include <ewidget.h>

EWidgetDesignerPlugin::EWidgetDesignerPlugin(QObject* parent)
	: QObject(parent)
{
	initialized = false;
}

QString EWidgetDesignerPlugin::name() const
{
	return "EWidget";
}

QString EWidgetDesignerPlugin::group() const
{
	return "Container (EngSaS)";
}

QString EWidgetDesignerPlugin::toolTip() const
{
	return "EWidget subclasses QWidget and provides more extended functionalities (like EDialog).";
}

QString EWidgetDesignerPlugin::whatsThis() const
{
	return toolTip();
}

QString EWidgetDesignerPlugin::includeFile() const
{
	return "ewidget.h";
}

QIcon EWidgetDesignerPlugin::icon() const
{
	return QIcon();
}

bool EWidgetDesignerPlugin::isContainer() const
{
	return true;
}

QWidget* EWidgetDesignerPlugin::createWidget(QWidget* parent)
{
	return new EWidget(parent);
}

QString EWidgetDesignerPlugin::domXml() const
{
	return 	"<ui language=\"c++\">\n"
					"	<widget class=\"EWidget\" name=\"eWidget\">\n"
					"		<property name=\"sizePolicy\">\n"
					"			<sizepolicy hsizetype=\"Expanding\" vsizetype=\"Expanding\">\n"
					"				<horstretch>0</horstretch>\n"
					"				<verstretch>0</verstretch>\n"
					"			</sizepolicy>\n"
					"		</property>\n"
					"	</widget>\n"
					"</ui>\n";;
}

void EWidgetDesignerPlugin::initialize(QDesignerFormEditorInterface* core)
{
	Q_UNUSED(core);
	if(isInitialized())
		return;
	
	initialized = true;
}

bool EWidgetDesignerPlugin::isInitialized() const
{
	return initialized;
}
