/*
    Copyright (C) 2011 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#ifndef EFILESYSTEMPLUGIN_H
#define EFILESYSTEMPLUGIN_H

#include <efileserviceplugin.h>

/**
	* @brief Handles files at the local filesystem.
	* 
	* It is the simplest thinkable EFileServicePlugin.
	* This is because the uniqueId is the same as the absolute file path.
	*/
class EFileSystemPlugin : public EFileServicePlugin
{
	Q_OBJECT
	Q_INTERFACES ( EFileServicePlugin )
	Q_PROPERTY(QString name READ name)
	Q_PROPERTY(QString description READ description)
	public:
		EFileSystemPlugin(QObject *parent = NULL) : EFileServicePlugin( ) { Q_UNUSED(parent); };
		
		QString name() const;
		QString serviceId() const;
		QString description() const;
		
		/**
			* @todo Determine the mimetype.
			*/
		EFileInfo info(QString uniqueId) const;
		/**
			* @todo If we should create the object, we cannot decide whether it is a file or a directory.
			*/
		EFileInfo add(QFileInfo info, bool create) const;
		bool move(EFileInfo source, QString target) const;
		bool copy(EFileInfo source, QString target) const;
		bool deleteFile(EFileInfo file) const;
		bool open(EFileInfo file);
		ESettingsWidget* settingsWidget() const;
};

#endif // EFILESYSTEMPLUGIN_H
