/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "eaboutperson.h"
#include "eaboutperson.moc"

EAboutPerson::EAboutPerson(QString name, QString givenName, Categories categories, QObject* parent)
	: EObject(parent)
{
	setName(name);
	setGivenName(givenName);
	setCategories(categories);
}

EAboutPerson::EAboutPerson(QString name, QString givenName, QString email,
													 Categories categories, QObject* parent)
	: EObject(parent)
{
	setName(name);
	setGivenName(givenName);
	setEmail(email);
	setCategories(categories);
}

void EAboutPerson::setName(QString name)
{
	myName = name;
}

QString EAboutPerson::name() const
{
	return myName;
}

void EAboutPerson::setGivenName(QString givenName)
{
	myGivenName = givenName;
}

QString EAboutPerson::givenName() const
{
	return myGivenName;
}

void EAboutPerson::setEmail(QString address)
{
	myMail = address;
}

QString EAboutPerson::email() const
{
	return myMail;
}

void EAboutPerson::setCategories(Categories categories)
{
	myCats = categories;
}

EAboutPerson::Categories EAboutPerson::categories() const
{
	return myCats;
}
