/*
    Copyright (C) 2011 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "efileinfo.h"

EFileInfo::EFileInfo()
{
	setSize(0);
}

bool EFileInfo::isValid() const
{
	if(id().isEmpty())
		return false;
	if(name().isEmpty())
		return false;
	return true;
}

void EFileInfo::setId(QString id)
{
	myId = id;
}

QString EFileInfo::id() const
{
	return myId;
}

void EFileInfo::setName(QString name)
{
	myName = name;
}

QString EFileInfo::name() const
{
	return myName;
}

void EFileInfo::setSize(quint64 size)
{
	mySize = size;
}

quint64 EFileInfo::size()
{
	return mySize;
}

void EFileInfo::setMimeType(QString mimeType)
{
	myMimeType = mimeType;
}

QString EFileInfo::mimeType() const
{
	return myMimeType;
}

bool EFileInfo::operator==(const EFileInfo& info) const
{
	if(id() == info.id())
		return true;
	return false;
}

bool EFileInfo::operator==(const QString& id) const
{
	if(this->id() == id)
		return true;
	return false;
}

bool EFileInfo::operator!=(const EFileInfo& info) const
{
	return !operator==(info);
}

bool EFileInfo::operator!=(const QString& id) const
{
	return !operator==(id);
}
