/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#include "enetworkaccessmanager.h"
#include "enetworkaccessmanager.moc"

#include <QNetworkReply>
#include <QApplication>

QNetworkReply* ENetworkAccessManager::get(QNetworkRequest& request, QString appName, QString version)
{
	if(appName.isEmpty())
		appName = QApplication::applicationName();
	if(version.isEmpty())
		version = QApplication::applicationVersion();
	request.setRawHeader("User-Agent", QString("%1 %2").arg(appName).arg(version).toAscii());
	return QNetworkAccessManager::get(request);
}

QNetworkReply* ENetworkAccessManager::post(QNetworkRequest& request, const QByteArray& data, QString appName, QString version)
{
	if(appName.isEmpty())
		appName = QApplication::applicationName();
	if(version.isEmpty())
		version = QApplication::applicationVersion();
	request.setRawHeader("User-Agent", QString("%1 %2").arg(appName).arg(version).toAscii());
	return QNetworkAccessManager::post(request, data);
}
