/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "escaledimage.h"
#include "escaledimage.moc"

#include <QPainter>
#include <QSize>

EScaledImage::EScaledImage(QImage image, QWidget* parent, Qt::WindowFlags flags)
	: QLabel(parent, flags)
{
	setPixmap(image);
}

EScaledImage::EScaledImage(QWidget* parent, Qt::WindowFlags flags)
	: QLabel(parent, flags)
{
}

void EScaledImage::setImage(QImage image)
{
	// this line is really important, because otherwise
	// sizeHint is equal to pixmap size and only enlargment of
	// the label is possible
	setSizePolicy(QSizePolicy::Ignored, QSizePolicy::Ignored);
	// center the pixmap into the QLabel
	setAlignment(Qt::AlignCenter);
	myImage = image;
	if(!myImage.isNull())
		setPixmap(myImage.scaled(size(), Qt::KeepAspectRatio));
}

QImage EScaledImage::image()
{
	return myImage;
}

void EScaledImage::setPixmap(QImage image)
{
	QLabel::setPixmap(QPixmap::fromImage(image));
}

void EScaledImage::resizeEvent(QResizeEvent* event)
{	
	QLabel::resizeEvent(event);
	
	if(myImage.isNull())
		return;
	
	setPixmap(myImage.scaled(size(), Qt::KeepAspectRatio));
}
