/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "esetupwizarddb.h"
#include "esetupwizarddb.moc"

#include "edbsettings.h"
#include "edbupdatewidget.h"
#include "esqlinit.h"

ESetupWizardDB::ESetupWizardDB ( QString newTitle, ESqlInit *dbInit, QStringList drivers, QObject *parent )
	: ESetupWizardObject ( parent )
{
	setTitle ( newTitle );
	addWidget(new EDBSettings ( drivers, this ));
	addWidget(new EDBUpdateWidget ( title(), dbInit, this ));
}

bool ESetupWizardDB::needed()
{
	EDBUpdateWidget *widget = qobject_cast<EDBUpdateWidget*>(wizardWidgets()[1]);
	switch(widget->needed()){
		case EDBUpdateWidget::Nothing:
			return false;
		case EDBUpdateWidget::Settings:
			removeWidget(widget);
			return true;
		case EDBUpdateWidget::Update:
			removeWidget(wizardWidgets()[0]);
			return true;
		case EDBUpdateWidget::Both:
			return true;
	}
	return false;
}

bool ESetupWizardDB::finish ( ESetupWizardWidget *finishWidget )
{
  if ( !finishWidget )
    return false;

  return finishWidget->finish();
}
