/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "esetupwizarddbdump.h"
#include "esetupwizarddbdump.moc"

#include "edbbackup.h"
#include "esqllogin.h"
#include "esqldatabase.h"

ESetupWizardDBDump::ESetupWizardDBDump(QObject* parent)
	: ESetupWizardObject(parent)
{
	setTitle(tr("Backup Database"));
	addWidget(new EDBBackup(this));
}

bool ESetupWizardDBDump::finish(ESetupWizardWidget* finishWidget)
{
	if(finishWidget->finish())
		return true;
	return false;
}

bool ESetupWizardDBDump::needed()
{
	// we can not do anything, if the database isn't set up correctly
	ESqlLogin login;
	connectByPass(&login);
	if(!login.checkSettings())
		return false;
	
	if(login.exec() != QDialog::Accepted)
		return false;
	login.disconnect(this);
	this->disconnect(&login);
	
	ESqlDatabase db = ESqlDatabase::database();
	QStringList objects;
	objects <<  db.tables(QSql::Tables) << db.tables(QSql::Views);
	if(objects.size() > 0)
		return true;
	
	return false;
}
