/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "esetupwizardobject.h"
#include "esetupwizardobject.moc"

#include "esetupwizardwidget.h"

ESetupWizardObject::ESetupWizardObject ( QObject *parent ) : EObject ( parent )
{

}

ESetupWizardObject::~ESetupWizardObject()
{
	qDeleteAll(widgets);
}

QString ESetupWizardObject::title()
{
  return myTitle;
}

void ESetupWizardObject::setTitle ( QString newTitle )
{
  myTitle = newTitle;
}

QList< ESetupWizardWidget* > ESetupWizardObject::wizardWidgets()
{
	return widgets;
}

void ESetupWizardObject::addWidget(ESetupWizardWidget* widget)
{
	widgets << widget;
	connectByPass(widget);
}

void ESetupWizardObject::removeWidget(ESetupWizardWidget* widget)
{
	widgets.removeAll(widget);
}
