/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#include "eupdatenoticesettings.h"
#include "eupdatenoticesettings.moc"
#include "ui_eupdatenoticesettings.h"

#include <QSettings>
#include <qvarlengtharray.h>

EUpdateNoticeSettings::EUpdateNoticeSettings(QWidget* parent, Qt::WindowFlags flags)
	: ESettingsWidget(parent, flags), ui(new Ui::EUpdateNoticeSettings)
{
	ui->setupUi(this);
	QSettings settings;
	ui->noticeAboutUnstableReleasesEdit->setChecked(settings.value("noticeAboutUnstableReleases", false).toBool());
}

bool EUpdateNoticeSettings::saveSettings(QString& error)
{
	Q_UNUSED(error);
	QSettings settings;
	settings.setValue("noticeAboutUnstableReleases", ui->noticeAboutUnstableReleasesEdit->isChecked());
	return true;
}

