/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "exmlparseritem.h"

#include "exmlitem.h"

EXmlParserItem::EXmlParserItem(QString tagName, EXmlItem* (*callback)(EXmlModel*), EXmlModel *model)
{
	myTagName = tagName.toLower();
	this->callback = callback;
	this->model = model;
}

EXmlItem* EXmlParserItem::load(QDomElement element, EXmlItem* parent, QMap< QString, EXmlParserItem* > parser)
{
	if(!callback)
		return 0;
	
	// create new object
	EXmlItem *item = callback(model);
	if(!item)
		return 0;
	
	item->setParent(parent);
	// load it (we do not need the parent in item->load, because the item
	// will be the parent of all it's children
	if(!item->load(element, parser))
		return 0;
	return item;
}

QString EXmlParserItem::tagName() const
{
	return myTagName;
}
