/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "exmlstandardrootitem.h"
#include "exmlstandardrootitem.moc"

#include <exmlparseritem.h>

#include <QStringList>

QVariant EXmlStandardRootItem::data(int column, int role) const
{
	Q_UNUSED(column);
	Q_UNUSED(role);
	return QVariant();
}

bool EXmlStandardRootItem::load(const QDomElement element, QMap< QString, EXmlParserItem* > parser)
{
	// basic checking, if given element is valid
	if(element.tagName().toLower() != tagName())
		return false;

	// process child elements
	QDomElement child = element.firstChildElement();
	while(!child.isNull()){
		// processing the child elements, which are handled within this class
		// all other should be handled by others
		QStringList keys = parser.uniqueKeys();
		if(!keys.contains(child.tagName().toLower()))
			return false;

		if(!addChild(rowCount(), parser.value(child.tagName().toLower())->load(child, this, parser)))
			return false;
		child = child.nextSiblingElement();
	}

	return true;
}

bool EXmlStandardRootItem::save(QDomElement& useElem)
{
	// we recieve segfaults, when using null elements
	// therefore we check for it
	if(useElem.isNull())
		return false;

	useElem.setTagName(tagName());

	return EXmlItem::save(useElem);
}

EXmlItem* EXmlStandardRootItem::copy() const
{
	EXmlStandardRootItem *res = qobject_cast<EXmlStandardRootItem*>(metaObject()->newInstance());
	if(!res)
		return NULL;
	copyBase(res);
	return res;
}
