/*
    Copyright (C) 2011 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#ifndef EFILEDIALOGPRIVATE_H
#define EFILEDIALOGPRIVATE_H

#include <QString>

/**
	* @internal
	* @brief Some helper functions used by EFileDialog.
	* 
	* This class should not be used directly.
	*/
class EFileDialogPrivate
{
	
	public:
    EFileDialogPrivate();
		
		/**
			* @brief Returns the last used directory stored in settings.
			* 
			* It uses QSettings and the value "lastDir" to get the last
			* used directory.
			*/
		static QString getLastDirectory();
		/**
			* @brief Stores the last used directory.
			* 
			* It determines the directory contained in @p path. It uses QFileInfo
			* to do that, therefore you can give a directory or a file path, without
			* any problems.
			*/
		static void saveLastDirectory(QString path);
		
		/**
			* @brief Converts the filter from Qt to KDE format.
			*/
		static QString convertFilter(QString filter, QString *defaultFilter);
};

#endif // EFILEDIALOGPRIVATE_H
