/*
		Copyright (C) 2013 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

		This library is free software; you can redistribute it and/or
		modify it under the terms of the GNU Lesser General Public
		License as published by the Free Software Foundation; either
		version 2.1 of the License, or (at your option) any later version.

		This library is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
		Lesser General Public License for more details.

		You should have received a copy of the GNU Lesser General Public
		License along with this library; if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
		MA 02110-1301  USA.
*/

#ifndef ELOGOBJECTPRIVATE_H
#define ELOGOBJECTPRIVATE_H

#include <eobject.h>

class EWidget;

#include <QColor>
#include <QMutex>
#include <QFile>

class QTextEdit;

/**
	* @brief Logging Object used internal by ELogObject
	*
	*/
class ELogObjectPrivate : public EObject
{
	Q_OBJECT
	public:
		ELogObjectPrivate(QObject *parent = NULL);
		~ELogObjectPrivate();

		void init(QString filePath);
		void setup(EObject *object);
		void setup(EWidget *object);

	private slots:
		void addMessage(QtMsgType type, QString msg);
		void setInformation(QString msg);
		void setWarning(QString msg);
		void setError(QString msg);

	private:
		void appendMessage(QString msg, QColor color);
		void setupLogWidget();

		QMutex mutex;
		QTextEdit *logEdit;
		QFile logFile;
};

#endif // ELOGOBJECTPRIVATE_H
