/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "emimeprogram.h"

#include "emimetype.h"

#include <QString>
#include <QDir>
#include <QFileInfo>

EMimeProgram::EMimeProgram(QString newFilePath, EMimeType *newParent)
	: EMimeModelItem()
{
  setParent(newParent);
  setProgram(QFileInfo(newFilePath));
}

EMimeType *EMimeProgram::parent() const
{
  return myParent;
}

void EMimeProgram::setParent(EMimeType *newParent)
{
  myParent = newParent;
}

void EMimeProgram::setPath(QDir newPath)
{
  myFile.setFile(newPath, file().fileName());
}

void EMimeProgram::setPath(QString newPath)
{
  setPath(QDir(newPath));
}

QDir EMimeProgram::path() const
{
	QDir result(myFile.absoluteDir());
	if(myFile.isDir())
		result = QDir(myFile.absoluteFilePath());
  return result;
}

void EMimeProgram::setProgram(QString newFile)
{
  myFile.setFile(path(), newFile);
}

void EMimeProgram::setProgram(QFileInfo newFile)
{
  myFile = newFile;
}

QString EMimeProgram::program() const
{
	return file().fileName();
}

QFileInfo EMimeProgram::file() const
{
  return myFile;
}

void EMimeProgram::setFilePath(QString newPath)
{
  myFile = QFileInfo(newPath);
}

QString EMimeProgram::completePath() const
{
	return file().absoluteFilePath();
}

bool EMimeProgram::operator== (const EMimeProgram &other) const
{
  if(program() == other.program()){
    return true;
	}
  return false;
}

bool EMimeProgram::operator!= (const EMimeProgram &other) const
{
	return !operator==(other);
}

