/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef EMIMETYPEMODEL_H
#define EMIMETYPEMODEL_H

#include "eabstractitemmodel.h"

class EMimeModelItem;
class EMimeType;

/**
	* @internal
	* @brief A model to represent MimeTypes, related applications and available settings.
	*
  * model to represant MimeTypes, the application which can be used to open it, the suffix of the mimetype
  * and the default application choosen by the user
  */
class EMimeTypeModel : public EAbstractItemModel
{
	Q_OBJECT
	public:
		EMimeTypeModel ( QObject *parent = 0 );
		~EMimeTypeModel();

		void addMimeType ( EMimeType *mimeType );
		EMimeType *getMimeType ( QString mimeType );
		EMimeType *getMimeType ( int row );

		QModelIndex index ( int row, int column, const QModelIndex &parent = QModelIndex() ) const;
		QModelIndex parent ( const QModelIndex &index ) const;
		int rowCount ( const QModelIndex &parent = QModelIndex() ) const;
		int columnCount ( const QModelIndex &parent = QModelIndex() ) const;
		QVariant data ( const QModelIndex &index, int role = Qt::DisplayRole ) const;
		bool hasChildren ( const QModelIndex &parent = QModelIndex() ) const;
		QVariant headerData ( int section, Qt::Orientation orientation, int role = Qt::DisplayRole ) const;

		bool loadModel();
		bool saveModel();

	signals:

	public slots:

	private:
		QList<EMimeType*> mimeTypes;

		EMimeModelItem* elementFromIndex ( const QModelIndex &index ) const;
};

#endif // EMIMETYPEMODEL_H
