/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "emimetypesettingswidget.h"
#include "emimetypesettingswidget.moc"

#include "esearchexternalapp.h"
#include "emimetypemodel.h"
#include "eopenfileexternal.h"
#include "esettings.h"

#include <QDir>

EMimeTypeSettingsWidget::EMimeTypeSettingsWidget(QWidget* parent, Qt::WindowFlags flags): ESettingsWidget(parent, flags)
{
	setupUi(this);
	// mimetype stuff
	ESettings settings;
	settings.beginGroup(EOpenFileExternal::group());
	showAnytimeEdit->setChecked(settings.value("showAnytime", false).toBool());
	// load path list
	QList<QDir> dirs = ESearchExternalApp::defaultPaths();
	QStringList paths;
	foreach(QDir dir, dirs){
		paths.append(dir.absolutePath());
	}
	searchPathsEdit->addItems(paths);
	// load known mimetypes
	EMimeTypeModel *mimeModel = EOpenFileExternal::mimeTypes();
	mimeTypesEdit->setModel(mimeModel);
	settings.endGroup();
}

bool EMimeTypeSettingsWidget::saveSettings(QString& error)
{
	Q_UNUSED(error);
  // mimetype stuff
	ESettings settings;
  settings.beginGroup(EOpenFileExternal::group());
  settings.setValue("showAnytime", showAnytimeEdit->isChecked());
  settings.endGroup();
	return true;
}

