/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "esettingsgeneral.h"
#include "esettingsgeneral.moc"

#include "elibconfig.h"
#include "esettings.h"

#include <QDir>

ESettingsGeneral::ESettingsGeneral(QWidget* parent, Qt::WindowFlags flags)
	: ESettingsWidget(tr("General"), parent, flags)
{
	setupUi(this);
	QDir docDir(QString(SHAREDIR) + "/lang");
	if ( docDir.exists() ) {
    QStringList filter;
    filter.append ( "*.qm" );
    QStringList newFiles = docDir.entryList ( filter, QDir::Files | QDir::Readable );
    foreach ( QString file, newFiles ) {
      // Needed for the translation of the app
      // exactMatch expands the regex to ^REGEX$
      QRegExp reg("libengsas-core_([a-zA-Z]{2})\\.qm");
			if(reg.exactMatch(file))
				defaultLangEdit->addItem(reg.cap(1).toUpper());
		}
		// if no english version is present, add it,
		// because english is builtin
		if(defaultLangEdit->findText("EN") < 0)
			defaultLangEdit->addItem("EN");
  }
	ESettings settings;
	QLocale qLocale;
	defaultLangEdit->setCurrentIndex(
		defaultLangEdit->findText(
			settings.value ("defaultLang", qLocale.name().left(2).toUpper()).toString().toUpper()
		)
	);
}

bool ESettingsGeneral::saveSettings(QString& error)
{
	Q_UNUSED(error);
	ESettings settings;
	settings.setValue("defaultLang", defaultLangEdit->currentText());
	return true;
}

