/*
		Copyright (C) 2010 - 2013 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ESQLLOGINDIALOG_H
#define ESQLLOGINDIALOG_H

#include "edialog.h"


namespace Ui{
	class ESqlLoginDialog;
}

namespace KWallet {
	class Wallet;
}

/**
	* @brief Displays a login dialog for a database.
	*
	*/
class ESqlLoginDialog : public EDialog
{
  Q_OBJECT
  public:
		ESqlLoginDialog ( QWidget *parent = NULL );
		ESqlLoginDialog ( QString title, QWidget *parent = NULL );
		~ESqlLoginDialog();
		void setUsername(QString name);
		QString username() const;
		void setPassword(QString password);
		QString password() const;
		void displayError ( QString msg );
		void displayInformation ( QString msg );

  protected:
    void changeEvent ( QEvent *e );

  private slots:
		void usernameChanged();

  private:
		void init();

		Ui::ESqlLoginDialog *m_ui;
		KWallet::Wallet *wallet;
};

#endif // ESQLLOGINDIALOG_H
