/*
    Copyright (C) 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "echartpietest.h"
#include "echartpietest.moc"

#include <echartpie.h>
#include <echartvalues.h>

#include <QTest>
#include <QPainter>

void EChartPieTest::testEmptyWidget()
{
	EChartPie widget;
	widget.show();
	// set the title to force repaint
	widget.setChartTitle("");
}

void EChartPieTest::testFullWidget()
{
	EChartPie widget;
	widget.setChartTitle("Test Title");

	for(int i = 1; i < 6; i++){
		EChartValues values;
		values.add(i, "");
		widget.addDataSet(values, QString("Piece %1").arg(i));
	}

	QImage image(QSize(1000, 565), QImage::Format_RGB32);
	QPainter painter;
	painter.begin(&image);
	widget.exportChart(&painter, QRect(QPoint(0, 0), image.size()));
	painter.end();

	QCOMPARE(image, QImage(":/testcharts/echartpie-testfullwidget.png"));

	widget.show();
}

QTEST_MAIN(EChartPieTest)
