/*
    Copyright (C) 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "echartvaluestest.h"
#include "echartvaluestest.moc"

#include <echartvalues.h>

#include <QTest>

void EChartValuesTest::test()
{
	EChartValues chartValues;
	QCOMPARE(chartValues.xValues().size(), 0);
	QCOMPARE(chartValues.y(QVariant()), QVariant());
	QCOMPARE(chartValues.y(QString("test")), QVariant());

	// fill with data
	QList<int> xValues;
	QList<QString> yValues;

	xValues << -2 << 2 << 1 << -1 << 5;
	yValues << "T 1" << "T 2" << "T 3" << "T 4" << "T 5";

	for(int i = 0; i < xValues.size(); i++)
		chartValues.add(xValues[i], yValues[i]);

	QCOMPARE(chartValues.xValues().size(), xValues.size());
	for(int i = 0; i < xValues.size(); i++){
		QCOMPARE(chartValues.xValues()[i].toInt(), xValues[i]);
	}
	QCOMPARE(chartValues.y(xValues[2]).toString(), yValues[2]);
	QCOMPARE(chartValues.y(QString("Test")), QVariant());
}

QTEST_MAIN(EChartValuesTest)
