/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "efiledialogtest.h"
#include "efiledialogtest.moc"

#include <elibconfig.h>
#include <efiledialog.h>
#include "efiledialogprivate.h"
#include <eclosemodalwidgetthread.h>

#include <QTest>

void EFileDialogTest::filterConversion()
{
	QString defaultFilter = "Images (*.png *.xpm *.jpg)";
	QString filter = defaultFilter +";;Text files (*.txt);;XML files (*.xml)";

	QString resultFilter = defaultFilter +";;Text files (*.txt);;XML files (*.xml)";
	QString resultDefaultFilter = defaultFilter;
#ifdef BINDINGS_KDE
	resultDefaultFilter = "*.png *.xpm *.jpg|Images";
	resultFilter = resultDefaultFilter +"\n*.txt|Text files\n*.xml|XML files";
#endif
	// testing none defaultFilter
	QCOMPARE(EFileDialogPrivate::convertFilter(filter, NULL), resultFilter);
	
	QCOMPARE(EFileDialogPrivate::convertFilter(filter, &defaultFilter), resultFilter);
	QCOMPARE(defaultFilter, resultDefaultFilter);
}

void EFileDialogTest::getExistingDirectory(){
// 	QSKIP("Recieves Segfault on Linux with KDE", SkipSingle);
	ECloseModalWidgetThread thread;
	thread.start();
	if(!thread.waitForStart())
		QSKIP("Could not start thread", SkipSingle);
	EFileDialog::getExistingDirectory(0, "Test");
	thread.stopThread();
}

QTEST_MAIN(EFileDialogTest)
