/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ELOGOBJECTTEST_H
#define ELOGOBJECTTEST_H

#include <QObject>

class ELogObject;
class TestObject;
class TestWidget;

#include <QColor>

class QTextEdit;
class QDockWidget;

class ELogObjectTest : public QObject
{
	Q_OBJECT
	protected slots:
		void fetchDockWidget(QDockWidget *widget, const Qt::DockWidgetArea &area);

	private slots:
		void initTestCase();
		void setup();
		void information();
		void warnings();
		void errors();
		void messageHandler();
		void destinationFile();
		void threadSafety();

	private:
		void initTest();
		void cleanupTest();
		void checkLogEdit(QString text, QColor color);

		ELogObject *logObject;
		TestObject *object;
		TestWidget *widget;
		QTextEdit *logEdit;
};

#endif // ELOGOBJECTTEST_H
