/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef EMAINWINDOWTEST_H
#define EMAINWINDOWTEST_H

#include <emainwindow.h>

// Q_DECLARE_METATYPE(EMainWindow::AvailableActions);
// Q_DECLARE_METATYPE(EMainWindow::AvailableAction);

class EMainWindowTest : public EMainWindow
{
	Q_OBJECT
	private slots:
		void setWindowTitle();
		void testActions_data();
		void testActions();
		/**
			* Test all those Signal and Slots, which do not add
			* items to the main window (like showSettings is tested, addMenu not).
			* @todo All signals and slots which starts modal dialogs are not tested
			* until we know how to close them properly
			* @todo don't know how to test them, because nothing happens
			*/
		void testSimpleSlots();
		/**
			* testing all signals and slots, which are used
			* to add widgets (like QActions, ...) to the EMainWindow
			* @todo test the position of inserted menus and actions (parameter after)
			*/
		void testAddMenu();
		void testAddAction();
		void testAddToolBar();
		void testAddNewDockWidget();
		void testShowStatusWidget();

		void fileNew();
		void testFileOpen();
		void testFileSave();
		void testFileSaveAs();
		void testFilePrint();
		void testFileExit();
		void testEditCut();
		void testEditCopy();
		void testEditPaste();
		void testEditUndo();
		void testEditRedo();
		void testViewReload();
};

#endif // EMAINWINDOWTEST_H
