/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "testwidget.h"
#include "testwidget.moc"

TestWidget::TestWidget(EngSaS::AvailableActions actions)
	: EWidget()
{
	this->actions = actions;
	setObjectName("testWidget");
}

void TestWidget::emitError(QString message)
{
	emit error(message);
}

void TestWidget::emitWarning(QString message)
{
	emit warning(message);
}

void TestWidget::emitInformation(QString message)
{
	emit information(message);
}

void TestWidget::emitAddMenu(QMenu* newMenu, QString parent, QString before)
{
	emit addMenu(newMenu, parent, before);
}

void TestWidget::emitAddAction(QAction* newAction, QString parent, QString before)
{
	emit addAction(newAction, parent, before);
}

void TestWidget::emitAddToolBar(QToolBar *newToolBar, Qt::ToolBarArea area)
{
	emit addToolBar(newToolBar, area);
}

void TestWidget::emitAddNewDockWidget(QDockWidget *widget, Qt::DockWidgetArea area)
{
	emit addNewDockWidget(widget, area);
}

	
void TestWidget::emitSetCentralWidget()
{
	emit setCentralWidget(this);
}

void TestWidget::emitShowSettings()
{
	emit showSettings();
}

void TestWidget::emitShowHelp(QString page)
{
	emit showHelp(page);
}

void TestWidget::emitShowStatusWidget(QWidget *widget)
{
	emit showStatusWidget(widget);
}

EngSaS::AvailableActions TestWidget::enableActions()
{
	return actions;
}

bool TestWidget::fileNew(QString &error)
{
	Q_UNUSED(error);
	emit fileNewCalled();
	return false;
}

bool TestWidget::print(QString &error)
{
	Q_UNUSED(error);
	emit printCalled();
	return false;
}

bool TestWidget::undo(QString &error)
{
	Q_UNUSED(error);
	emit undoCalled();
	return false;
}

bool TestWidget::redo(QString &error)
{
	Q_UNUSED(error);
	emit redoCalled();
	return false;
}

bool TestWidget::cut(QString &error)
{
	Q_UNUSED(error);
	emit cutCalled();
	return false;
}

bool TestWidget::copy(QString &error)
{
	Q_UNUSED(error);
	emit copyCalled();
	return false;
}

bool TestWidget::paste(QString &error)
{
	Q_UNUSED(error);
	emit pasteCalled();
	return false;
}

bool TestWidget::reload(QString &error)
{
	Q_UNUSED(error);
	emit reloadCalled();
	return false;
}

void TestWidget::reloadSettings()
{
	emit reloadSettingsCalled();
}
