/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef TESTWIDGET_H
#define TESTWIDGET_H

#include <ewidget.h>

class TestWidget : public EWidget
{
	Q_OBJECT
	public:
		TestWidget(EngSaS::AvailableActions actions);
		void emitError(QString message);
		void emitWarning(QString message);
		void emitInformation(QString message);
		void emitAddMenu(QMenu* newMenu, QString parent, QString before);
		void emitAddAction(QAction* newAction, QString parent, QString before);
		void emitAddToolBar(QToolBar* newToolBar, Qt::ToolBarArea area);
		void emitAddNewDockWidget(QDockWidget* widget, Qt::DockWidgetArea area);
		void emitSetCentralWidget();
		void emitShowSettings();
		void emitShowHelp(QString page);
		void emitShowStatusWidget(QWidget* widget);
    EngSaS::AvailableActions enableActions();

	public slots:
		bool fileNew(QString &error);
		bool print(QString &error);
		bool undo(QString &error);
		bool redo(QString &error);
		bool cut(QString &error);
		bool copy(QString &error);
		bool paste(QString &error);
		bool reload(QString &error);
		void reloadSettings();

	private:
		EngSaS::AvailableActions actions;

	signals:
		void fileNewCalled();
		void loadCalled();
		void saveCalled();
		void printCalled();
		void cutCalled();
		void copyCalled();
		void pasteCalled();
		void undoCalled();
		void redoCalled();
		void reloadSettingsCalled();
		void reloadCalled();
};

#endif // TESTWIDGET_H
