/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef EOBJECTTEST_H
#define EOBJECTTEST_H

#include <QObject>

#include <QMenu>
#include <QAction>
#include <QToolBar>
#include <QDockWidget>

class EObjectTest : public QObject
{
	Q_OBJECT
	private slots:
		void initTestCase();
		void connectByPass();
		void reloadSettings();

	signals:
		void error(const QString &message);
		void warning(const QString &message);
		void information(const QString &message);
		void addMenu(QMenu* newMenu, const QString &parent, QString before = QString());
		void addAction(QAction* newAction, const QString &parent, QString before = QString());
		void addToolBar(QToolBar* newToolBar, Qt::ToolBarArea area = Qt::TopToolBarArea);
		void addNewDockWidget(QDockWidget *widget, const Qt::DockWidgetArea &area);
		void setCentralWidget(QWidget *centralWidget);
		void showSettings();
		void showHelp(const QString &page);
		void showStatusWidget(QWidget* widget);
};

#endif // EOBJECTTEST_H
