/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "etableviewtest.h"
#include "etableviewtest.moc"

#include <etableview.h>
#include <edelegateforeignkey.h>

#include <QTest>
#include <qsignalspy.h>

void ETableViewTest::setModel()
{
// 	MediaModel *model = new MediaModel(0, this);
	ETableView *view = new ETableView();
// 	model->configureView(view);
	
	// test if the delegates are really deleted
	EDelegateForeignKey *delegate = new EDelegateForeignKey("", "", "");
	QSignalSpy spy(delegate, SIGNAL(destroyed(QObject*)));
	view->setItemDelegateForColumn(0, delegate);
	
	view->setModel(0);
	QVERIFY(spy.count() == 1);
	
// 	model->configureView(view);
	
	delete view;
}

void ETableViewTest::reloadForeignKeys()
{
	ETableView *view = new ETableView();
	
	view->reloadDelegates();
	
// 	MediaModel *model = new MediaModel(this);
// 	model->configureView(view);
	EDelegateForeignKey *delegate = new EDelegateForeignKey("", "", "");
	view->setItemDelegateForColumn(0, delegate);
	view->reloadDelegates();
	
	delete view;
	delete delegate;
}


QTEST_MAIN(ETableViewTest)
