/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef TESTMODEL_H
#define TESTMODEL_H

#include <exmlmodel.h>

class TestModelBaseItem;
class TestItem;
class TestSubItem;

/**
	* @brief Represents a list of Option's with OptionAttribute's.
	*
	* Use OptionsView to display those models in multiple ways.
	* If you want to do it manually, use OptionsTableProxyModel yourself.
	*/
class TestModel : public EXmlModel
{
	Q_OBJECT
	public:
		TestModel(QObject *parent = 0);

		// own API
		TestItem* addTestItem(QString label = QString());
		bool removeTestItem(TestItem *testItem);
		void clear();

		// standard api
		bool setData(const QModelIndex &index, const QVariant &value, int role = Qt::EditRole);
		Qt::ItemFlags flags(const QModelIndex &index) const;
		bool insertRows(int row, int count, const QModelIndex &parent = QModelIndex());
		bool removeRows(int row, int count, const QModelIndex &parent = QModelIndex());

	private:
		bool prepareForSaving();
};

#endif // TESTMODEL_H
