/*
    Copyright (C) 2013 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#ifndef ESQLLOGINTEST_H
#define ESQLLOGINTEST_H

#include <QObject>

#include <esqllogin.h>

#include <QSqlDatabase>

class ESqlLoginTest : public QObject
{
	Q_OBJECT
	private slots:
		void initTestCase();
		void cleanupTestCase();
		
		void loadAndCheckSettings();
		void testGuiLess();
		
	private:
		void checkGlobals();
		void configureDatabase(QSqlDatabase &db);
		void compareLogin(ESqlLogin::Result result, ESqlLogin::Result expected, int testNum);
		QString esqlLoginResultToString(ESqlLogin::Result result);
		
		QString username, host, password, database, connName;
		bool serverReachable;
};

#endif // ESQLLOGINTEST_H
